/**
 * Copyright SCN Guichet Entreprises, Capgemini and contributors (2014-2016)
 *
 * This software is a computer program whose purpose is to maintain and
 * administrate standalone forms.
 *
 * This software is governed by the CeCILL  license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 */
@import "common.css";

form {
    color: #333;
    display: block;
    font-family: "Helvetica Neue LT Std 45 Light", Helvetica, Arial, sans-serif;
    font-size: 14px;
    padding: 1em .4em;
    margin: auto;
    width: 940px;
}

form[label]:before {
    content: attr(label);
    display: block;
    font-size: 2.6em;
    font-weight: normal;
    margin: 40px 0px 20px 0px;
    text-align: center;
}

form > description {
    display: block;
    margin: 20px auto 20px auto;
    text-align: center;
    width: 80%;
}

form > group, form > type {
    box-shadow: 2px 2px 4px rgba(51, 51, 51, .6);
    display: block;
    list-style-type: upper-alpha;
    padding: .2em 1em;
    margin-bottom: 2em;
}

form > group[label]:before, form > type[label]:before {
    font-size: 1.6em;
}

group > group, type > type {
    display: block;
    list-style-type: upper-alpha;
    padding: 4px 15px 24px 15px;
}

group > group + group, type > type + type {
    margin-top: 1.6em;
}

group + group, type + type {
    margin-top: 1em;
}

group + group[label], type + type[label] {
    border-top-style: none;
    margin-top: 0em;
}

group > group:before, type > type:before {
    background-color: transparent;
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAAAPCAYAAAA71pVKAAAABmJLR0QA/wD/AP+gvaeTAAAACXBIWXMAAAsSAAALEgHS3X78AAAAB3RJTUUH3QMECgYWBa/f1wAAAD9JREFUKM9jfORg95+BRCC7/yADAwMDAxMDBWAkambBJSGQncPApqJKnmY2FVUGdgOD0dCmpmbG/////x8QmwG8FAoFEaxnwAAAAABJRU5ErkJggg==);
    background-repeat: no-repeat;
}

group[label]:before, type[label]:before {
	border-bottom: 1px solid rgba(51, 122, 183, .1);
    content: attr(label);
    display: block;
    font-size: 1.1em;
    font-weight: bold;
    line-height: 1.2em;
    margin: -15px -15px 24px -15px;
    padding: 1.2em 1.8em 0 1.8em;
    text-transform: uppercase;
}

group > description, type > description {
    margin-bottom: 20px;
}

data {
    display: block;
    margin-top: .6em;
    margin-bottom: 1.6em;
}

data[label]:before {
    content: attr(label);
    display: block;
    font-weight: bold;
}

data > value {
    display: block;
    margin-left: 1.8em;
}

list {
    display: block;
}

text {
    display: block;
}

date {
    display: block;
}

date[label]:before {
    color: #333;
    content: attr(label);
}

date[label] {
    color: transparent;
    white-space: nowrap;
}

date[id]:before {
    content: " " attr(id) " ";
    text-transform: capitalize;
}

date[id][label]:before {
    content: " " attr(id) " " attr(label);
    text-transform: capitalize;
}

file {
    display: block;
}

file:before {
    content: "[" attr(id) ":" attr(ref) "] ";
    font-weight: bold;
    font-style: italic;
}

data[type=Phone] text {
    display: none;
}

data[type=Phone] text[id="international"] {
    display: block;
}
